AutoCAD .Net 获取用户输入——GetKeywords

GetKeywords用于让用户输入关键字,示例用法如下:Document doc = Application.DocumentManager.MdiActiveDocument; PromptKeywordOptions options = new PromptKeywordOptions(&q...

2018-01-01 11:55:08

阅读数 354

评论数 0

AutoCAD .Net 获取用户输入——GetString

GetString用于让用户输入字符串,示例用法如下:Document doc = Application.DocumentManager.MdiActiveDocument; PromptStringOptions options = new PromptStringOptions("...

2018-01-01 11:25:46

阅读数 357

评论数 0

AutoCAD .Net 获取用户输入——GetPoint

GetPoint用于让用户指定点,示例用法如下:Document doc = Application.DocumentManager.MdiActiveDocument; PromptPointOptions options = new PromptPointOptions("\n请指定...

2018-01-01 10:52:24

阅读数 419

评论数 0

AutoCAD .Net 获取用户输入——GetAngle

GetAngle用于让用户指定角度值Document doc = Application.DocumentManager.MdiActiveDocument; double angle = 0.0; PromptAngleOptions options = new PromptAngleOptio...

2017-12-30 16:20:30

阅读数 338

评论数 0

AutoCAD .Net 获取用户输入——GetDistance

GetDistance用于让用户指定距离值Document doc = Application.DocumentManager.MdiActiveDocument; double value = 0.0; PromptDistanceOptions options = new PromptDist...

2017-12-29 22:52:04

阅读数 277

评论数 0

AutoCAD .Net 获取用户输入——浮点型数值

GetDouble的用法示例Document doc = Application.DocumentManager.MdiActiveDocument; double value = 0.0; PromptDoubleOptions options = new PromptDoubleOptions...

2017-12-29 22:06:11

阅读数 147

评论数 0

AutoCAD .Net 获取用户输入——整型数值

AutoCAD .Net中的Editor类提供了各种获取用户输入的方法,常用的有: * GetInteger 获取整型数值 * GetDouble 获取浮点型数值 * GetDistance 获取距离值 * GetAngle 获取角度值 * GetPoint 获取坐标点 * GetSt...

2017-12-24 22:12:39

阅读数 488

评论数 0

AutoCAD .Net 外部参照 XRef

在 AutoCAD 中,可以通过 xref 命令来创建外部参照。那外部参照在 AutoCAD 数据库中是如何存储的呢?我们如何通过程序来获取外部参照? 1、外部参照是以块表记录(BlockTableRecord)的形式存储在 AutoCAD 的模型空间块表中的。 2、BlockTableRec...

2017-12-17 10:15:18

阅读数 587

评论数 0

AutoCAD .Net 使用 DrawJig 来动态地移动、旋转、缩放多个图元

本实例展示使用 DrawJig 技术,动态交互模式地移动、旋转、缩放多个图元。 如下图所示: 翻译自: AutoCAD .NET: Use DrawJig to Dynamically Move Rotate and Scale Multiple Entities of Any Kinds...

2017-12-17 10:13:48

阅读数 2204

评论数 0

AutoCAD .Net EntityJig – Dynamic Dimension and Line Jig

本实例展示使用 EntityJig 技术,动态交互模式创建直线并同时显示动态尺寸。 如下图所示: 翻译自: AutoCAD .NET: EntityJig – Dynamic Dimension and Line Jigusing Autodesk.AutoCAD.Runtime; usi...

2017-12-17 10:11:25

阅读数 392

评论数 0

AutoCAD .Net EntityJig – Jig Circle by Center and Radius

本实例展示使用 EntityJig 技术,动态交互模式创建圆。 翻译自: AutoCAD .NET: EntityJig – Jig Circle by Center and Radiususing Autodesk.AutoCAD.Runtime; using Autodesk.AutoC...

2017-12-17 09:38:57

阅读数 355

评论数 0

AutoCAD .Net EntityJig – Jig Line by Start and End Points

本实例展示使用 EntityJig 技术,动态交互模式创建直线。 翻译自: AutoCAD .NET: EntityJig – Jig Line by Start and End Pointsusing Autodesk.AutoCAD.Runtime; using Autodesk.Aut...

2017-12-17 09:35:38

阅读数 358

评论数 0

AutoCAD .Net 创建对齐标注

以下代码展示: 在模型空间中创建如下图所示的对齐标注。 对齐标注尺寸对象是 AlignedDimension。using Autodesk.AutoCAD.Runtime; using Autodesk.AutoCAD.ApplicationServices; using Autode...

2017-12-17 09:31:48

阅读数 683

评论数 0

AutoCAD .Net 创建线性标注

以下代码展示: 在模型空间中创建如下图所示的线性尺寸。 线性标注尺寸对象是RotatedDimension。 当RotatedDimension.Rotation 为 0 时,创建的是水平标注。 当RotatedDimension.Rotation 为 Math.PI / 2 时,创建...

2017-12-17 09:24:46

阅读数 1240

评论数 0

AutoCAD .Net 创建填充Hatch

以下代码展示: 往模型空间中添加填充对象。 using Autodesk.AutoCAD.Runtime; using Autodesk.AutoCAD.ApplicationServices; using Autodesk.AutoCAD.DatabaseServices; using Au...

2017-12-17 09:20:53

阅读数 1281

评论数 0

AutoCAD .Net 创建点Point

以下代码展示: 往模型空间中添加一个点。点的坐标为(100, 100, 50)。 设置点的图层、颜色、线型、线宽请参考文章AutoCAD .Net 创建直线Line using Autodesk.AutoCAD.Runtime; using Autodesk.AutoCAD.Applicat...

2017-12-17 09:19:22

阅读数 601

评论数 0

AutoCAD .Net 创建椭圆Ellipse

以下代码展示: 往模型空间中添加一个椭圆。椭圆的中心为(0, 0, 0),长轴半径为100,短轴半径为60,圆弧所在平面为XOY平面,起始角为0度,终止角为360度。 设置椭圆的图层、颜色、线型、线宽请参考文章AutoCAD .Net 创建直线Line using Autodesk.Auto...

2017-12-16 22:12:29

阅读数 491

评论数 0

AutoCAD .Net 创建圆弧Arc

以下代码展示: 往模型空间中添加一个圆弧。圆弧的中心为(100, 100, 0),半径为20,圆弧所在平面为XOY平面,起始角为0度,终止角为90度。 设置圆弧的图层、颜色、线型、线宽请参考文章AutoCAD .Net 创建直线Line using Autodesk.AutoCAD.Runt...

2017-12-16 22:10:31

阅读数 432

评论数 0

AutoCAD .Net 创建圆Circle

以下代码展示: 往模型空间中添加一个圆。圆心为(100, 100, 0),半径为20,圆所在平面为XOY平面。 设置圆的图层、颜色、线型、线宽请参考文章AutoCAD .Net 创建直线Line using Autodesk.AutoCAD.Runtime; using Autodesk.A...

2017-12-16 22:06:04

阅读数 315

评论数 0

AutoCAD .Net 创建多段线Polyline

以下代码展示: 往模型空间中添加一条多段线Polyline。多段线有三个顶点,分别为(0, 0) (100, 100) (100, 0)。 设置多段线的图层、颜色、线型、线宽请参考文章AutoCAD .Net 创建直线Line using Autodesk.AutoCAD.Runtime; ...

2017-12-16 22:02:27

阅读数 2206

评论数 0

提示
确定要删除当前文章?
取消 删除
关闭
关闭